Page MenuHomeFreeBSD

create man page for etherswitch driver
ClosedPublic

Authored by yamori813_yahoo.co.jp on Apr 5 2017, 2:30 AM.

Details

Summary

make e6060sw, adm6996fc, ksz8995ma man page

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

bcr added a subscriber: bcr.Apr 5 2017, 7:54 AM

Thank you for writing these man pages. I added some corrections. It seems like a lot, but they can be easily fixed.
You should install textproc/igor and run it over thes man pages. It will show you where the errors are and suggests fixes. When there are no more errors reported, you can create a new patch and update this review.
Thanks again.

share/man/man4/adm6996fc.4
43 ↗(On Diff #27073)

You need to have a hard line break after the sentence stop (after chip).
Also, I would rephrase the next sentence to this:
This driver uses the smi interface of the ethernet interface. (Not sure what you mean by "by ethernet interface").

45 ↗(On Diff #27073)

This driver supports port and dot1q vlan. Also, line break after the sentence stop.

47 ↗(On Diff #27073)

Configure dot1q vlan with the etherswitchcfg command.

51 ↗(On Diff #27073)

Configure port 5 as the tagging port.

share/man/man4/e6060sw.4
43 ↗(On Diff #27073)

Another line break here after the sentence stop.

45 ↗(On Diff #27073)

88E6060 supports only the vlan port. Line break after that sentence.
88E6065 supports port and dot1q vlan. Another line break.
dot1q supports group based tag/untag.

47 ↗(On Diff #27073)

Configure dot1q vlan on 88E6065 with the etherswitchcfg command.

51 ↗(On Diff #27073)

Yet another line break between the two sentences.
Also: This example is using port0 as vlan 2.

share/man/man4/ksz8995ma.4
43 ↗(On Diff #27073)

Line break between the sentences. The second sentence should be:
This driver uses the spi interface.

45 ↗(On Diff #27073)

This driver supports port and dot1q vlan. Line break.
dot1q supports port based tag/untag. (Same as in the other man page above).

47 ↗(On Diff #27073)

Same as in the other man pages.

51 ↗(On Diff #27073)

is => as the

I use igor tools and fixed all error. Thnaks.

adrian accepted this revision.Apr 5 2017, 5:38 PM

thanks!

This revision is now accepted and ready to land.Apr 5 2017, 5:38 PM
yamori813_yahoo.co.jp updated this revision to Diff 27120.
  • change spibus and add vertion infomation
This revision now requires review to proceed.Apr 5 2017, 11:22 PM
  • fixed igor error
mizhka_gmail.com accepted this revision.Apr 13 2017, 3:06 PM
This revision is now accepted and ready to land.Apr 13 2017, 3:06 PM
emaste added a subscriber: emaste.Apr 18 2017, 3:28 PM
emaste added inline comments.
share/man/man4/adm6996fc.4
43 ↗(On Diff #27121)

to /the/ Infineon

44 ↗(On Diff #27121)

Can you explain further? Is the case here that adm6996fc is connected by SMI to some (other) Ethernet interface in the system, and configured over SMI?

Also, should expand acronym on first use, e.g. the Serial Management Interface (SMI)
Ethernet should have a capital E

Mavell e6060 datasheet use SMI word. That is MDC/MDIO. But Infineon data sheet not use SMI work. Do I change "MDC/MDIO interface" from "SMI". I want say difference i2c or spi bus.

adrian added a comment.May 6 2017, 5:56 AM

hi,

This is .. doing git like things to try and find /copies/ from th eoriginal source files, so the diff as downloaded doesn't work :(

This revision was automatically updated to reflect the committed changes.